/*
 * Copyright 2011 Federal Chancellery Austria and
 * Graz University of Technology
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package at.gv.util.data;

import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * Class representing a sector specific PIN (BPK).
 * 
 * @author <a href="mailto:Arne.Tauber@egiz.gv.at">Arne Tauber</a>
 *
 */
public class BPK {

	private String sector;
	private String bpk;
	
	public BPK(String sector, String bpk) {
		this.sector = sector;
		this.bpk = bpk;
	}
	
	public BPK() {
		this.sector = null;
		this.bpk = null;
	}

	public String getSector() {
		return sector;
	}
	
	public void setSector(String sector) {
		this.sector = sector;
	}
	
	public String getBpk() {
		return bpk;
	}
	
	public void setBpk(String bpk) {
		this.bpk = bpk;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this).append("sector", this.sector).append("bpk", this.bpk).toString();
	}

}
