/*
 * Copyright 2011 Federal Chancellery Austria and
 * Graz University of Technology
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package at.gv.util.ssl;

import javax.net.ssl.SSLContext;

import at.gv.util.ex.EgovUtilException;

/**
 * Interface providing an SSL context for handling secure connections in 
 * JAX-WS.
 * 
 * @author <a href="mailto:Arne.Tauber@egiz.gv.at">Arne Tauber</a>
 *
 */
public interface JaxWsSSLConfiguration {

	SSLContext getSSLContext(boolean forceTrustAllManager) throws EgovUtilException;
	boolean useLaxHostNameVerifier();
	
}
