
package at.gv.util.xsd.mzs.persondata;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;


/**
 * signed person datastructure. The first Identification elements (from the base type) denote the record as such (e.g. database key for this record) - not to be mistaken for identifiers of the person or of an address (they have their own Identification elements).
 * 
 * <p>Java class for PersonDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PersonDataType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}Person"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}Address" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PersonDataType", propOrder = {
    "person",
    "address"
})
public class PersonDataType {

    @XmlElementRef(name = "Person", namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", type = JAXBElement.class)
    protected JAXBElement<? extends AbstractPersonType> person;
    @XmlElementRef(name = "Address", namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", type = JAXBElement.class)
    protected List<JAXBElement<? extends AbstractAddressType>> address;

    /**
     * Gets the value of the person property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link PhysicalPersonType }{@code >}
     *     {@link JAXBElement }{@code <}{@link AbstractPersonType }{@code >}
     *     {@link JAXBElement }{@code <}{@link CorporateBodyType }{@code >}
     *     
     */
    public JAXBElement<? extends AbstractPersonType> getPerson() {
        return person;
    }

    /**
     * Sets the value of the person property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link PhysicalPersonType }{@code >}
     *     {@link JAXBElement }{@code <}{@link AbstractPersonType }{@code >}
     *     {@link JAXBElement }{@code <}{@link CorporateBodyType }{@code >}
     *     
     */
    public void setPerson(JAXBElement<? extends AbstractPersonType> value) {
        this.person = ((JAXBElement<? extends AbstractPersonType> ) value);
    }

    /**
     * Gets the value of the address property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the address property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAddress().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link AbstractAddressType }{@code >}
     * {@link JAXBElement }{@code <}{@link PostalAddressType }{@code >}
     * {@link JAXBElement }{@code <}{@link TelephoneAddressType }{@code >}
     * {@link JAXBElement }{@code <}{@link InternetAddressType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<? extends AbstractAddressType>> getAddress() {
        if (address == null) {
            address = new ArrayList<JAXBElement<? extends AbstractAddressType>>();
        }
        return this.address;
    }

}
