
package at.gv.util.xsd.persondata;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlMixed;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.xmldsig.SignatureType;
import org.w3c.dom.Element;


/**
 * signed person datastructure. The first Identification elements (from the base type) denote the record as such (e.g. database key for this record) - not to be mistaken for identifiers of the person or of an address (they have their own Identification elements).
 * 
 * <p>Java-Klasse für CompactPersonDataType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="CompactPersonDataType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reference.e-government.gv.at/namespace/persondata/20020228#}AbstractPersonType">
 *       &lt;sequence>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}Person"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}Address" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="AdditionalData" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence maxOccurs="unbounded" minOccurs="0">
 *                   &lt;any processContents='lax'/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;anyAttribute namespace='##other'/>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CompactPersonDataType", propOrder = {
    "person",
    "address",
    "signature",
    "additionalData"
})
public class CompactPersonDataType
    extends AbstractPersonType
{

    @XmlElementRef(name = "Person", namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", type = JAXBElement.class)
    protected JAXBElement<? extends AbstractPersonType> person;
    @XmlElementRef(name = "Address", namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", type = JAXBElement.class, required = false)
    protected List<JAXBElement<? extends AbstractAddressType>> address;
    @XmlElement(name = "Signature", namespace = "http://www.w3.org/2000/09/xmldsig#")
    protected List<SignatureType> signature;
    @XmlElement(name = "AdditionalData")
    protected CompactPersonDataType.AdditionalData additionalData;

    /**
     * Ruft den Wert der person-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link AbstractPersonType }{@code >}
     *     {@link JAXBElement }{@code <}{@link CompactPhysicalPersonType }{@code >}
     *     {@link JAXBElement }{@code <}{@link CorporateBodyType }{@code >}
     *     {@link JAXBElement }{@code <}{@link CompactCorporateBodyType }{@code >}
     *     {@link JAXBElement }{@code <}{@link PhysicalPersonType }{@code >}
     *     
     */
    public JAXBElement<? extends AbstractPersonType> getPerson() {
        return person;
    }

    /**
     * Legt den Wert der person-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link AbstractPersonType }{@code >}
     *     {@link JAXBElement }{@code <}{@link CompactPhysicalPersonType }{@code >}
     *     {@link JAXBElement }{@code <}{@link CorporateBodyType }{@code >}
     *     {@link JAXBElement }{@code <}{@link CompactCorporateBodyType }{@code >}
     *     {@link JAXBElement }{@code <}{@link PhysicalPersonType }{@code >}
     *     
     */
    public void setPerson(JAXBElement<? extends AbstractPersonType> value) {
        this.person = value;
    }

    /**
     * Gets the value of the address property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the address property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAddress().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link InternetAddressType }{@code >}
     * {@link JAXBElement }{@code <}{@link TypedPostalAddressType }{@code >}
     * {@link JAXBElement }{@code <}{@link CompactPostalAddressType }{@code >}
     * {@link JAXBElement }{@code <}{@link PostalAddressType }{@code >}
     * {@link JAXBElement }{@code <}{@link AbstractAddressType }{@code >}
     * {@link JAXBElement }{@code <}{@link TelephoneAddressType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<? extends AbstractAddressType>> getAddress() {
        if (address == null) {
            address = new ArrayList<JAXBElement<? extends AbstractAddressType>>();
        }
        return this.address;
    }

    /**
     * one or more electronic signatures applied on fields above Gets the value of the signature property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the signature property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSignature().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SignatureType }
     * 
     * 
     */
    public List<SignatureType> getSignature() {
        if (signature == null) {
            signature = new ArrayList<SignatureType>();
        }
        return this.signature;
    }

    /**
     * Ruft den Wert der additionalData-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link CompactPersonDataType.AdditionalData }
     *     
     */
    public CompactPersonDataType.AdditionalData getAdditionalData() {
        return additionalData;
    }

    /**
     * Legt den Wert der additionalData-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link CompactPersonDataType.AdditionalData }
     *     
     */
    public void setAdditionalData(CompactPersonDataType.AdditionalData value) {
        this.additionalData = value;
    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence maxOccurs="unbounded" minOccurs="0">
     *         &lt;any processContents='lax'/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "content"
    })
    public static class AdditionalData {

        @XmlMixed
        @XmlAnyElement(lax = true)
        protected List<Object> content;

        /**
         * Gets the value of the content property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the content property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getContent().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Object }
         * {@link String }
         * {@link Element }
         * 
         * 
         */
        public List<Object> getContent() {
            if (content == null) {
                content = new ArrayList<Object>();
            }
            return this.content;
        }

    }

}
